Skip to content

Get Job Position List

Permissions

The Identity Management API is authorized at the application level. Before calling the API, you need to set API permissions for different applications. For details, see API Permissions.

Permission CodeDescription
job_position_allRead/Write permission for job position management APIs
job_position_readRead permission for job position management APIs
allRead/Write permission for all APIs
readRead permission for all read APIs

Request Description

Request Headers

Parameter NameChinese NameRequiredTypeDescription
AuthorizationAuthorizationYesStringFormat: Bearer {access_token}
Content-TypeContent TypeYesStringFixed value: application/json; charset=utf-8

Request Example

None

Request Parameters

Parameter NameChinese NameRequiredTypeDescription
org_idOrganization IDNoStringQuery all job positions when empty
updated_at_greaterUpdate time greater thanNoStringFilters by update time, only records updated after this time are returned, format: yyyy-MM-dd HH:mm:ss
offsetPage numberYesintStarting from page 0
limitPage sizeYesintPage size between 10 and 100

Response Example

Success Example

HTTP/1.1 200 OK

json
{
    "total": 1,
    "job_positions": [
        {
            "position_id": "20220825141325371-4D03-81EF80243",
            "org_id": "20210529172248496-D329-5748DE918",
            "name": "IDaaS Java Development Engineer",
            "code": "IDaaS_Java_Developer",
            "title_id": "20210529172248496-D329-5748DE919",
            "created_at": "2024-03-27 10:00:45.532",
            "updated_at": "2024-03-28 08:26:00.105"
        }
    ]
}

Error Example

HTTP/1.1 400 Bad Request

json
{
  "error_msg": "Organization does not exist",
  "error_code": "ORG.0001"
}

Response Parameters

Parameter NameChinese NameTypeDescription
totalTotalint
job_positionsJob position listList
--position_idJob position IDString
--org_idOrganization IDString
--nameJob position nameString
--codeJob position codeString
--title_idJob title ID corresponding to the job positionString
--created_atCreation timeString
--updated_atUpdate timeString

Error Codes

Status CodeError CodeChinese Error MessageEnglish Error MessageResolution
400ENT.CONFIG.0031任职管理功能未开启,请先开启此功能The job management function is not enabled, please enable this function firstPlease enable job management in the Enterprise Center first
400OAP.PAGE.0003分页页码不符合校验规则The pagination page number does not meet the verification rulesPlease check whether the input pagination page number is correct
400OAP.PAGE.0004每页数量不符合校验规则The number of pages does not meet the verification rulesPlease check whether the input page size is correct
400OAP.PARAM.0004参数[{0}]不符合校验规则Parameter [{0}] does not comply with validation rulesPlease check whether the input parameters comply with validation rules
400ORG.0001组织不存在Organization does not existPlease check whether the corresponding organization exists

BambooCloud IDaaS Open Platform